Bug 1280037 - biosdevname naming conventions not applied
biosdevname naming conventions not applied
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 14:36 EST by Christopher Tubbs
Modified: 2016-12-20 10:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:38:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sudo udevadm test /sys/class/net/eno1 > udevadm_eno1.txt (1.10 KB, text/plain)
2015-11-10 14:36 EST, Christopher Tubbs
no flags Details
sudo udevadm test /sys/class/net/eno1 2> udevadm_eno1-err.txt (7.99 KB, text/plain)
2015-11-10 14:36 EST, Christopher Tubbs
no flags Details

  None (edit)
Description Christopher Tubbs 2015-11-10 14:36:09 EST
Created attachment 1092399 [details]
sudo udevadm test /sys/class/net/eno1 > udevadm_eno1.txt

Description of problem:
biosdevname rules seem to be ignored after upgrade from F22 to F23.
The NIC on my machine was renamed from em1 to eno1 after the upgrade.

Version-Release number of selected component (if applicable):
systemd-222-8.fc23.x86_64
biosdevname-0.6.2-1.fc23.x86_64
firewalld-0.3.14.2-4.fc23.noarch

How reproducible:
Unsure

Steps to Reproduce:
1. Perform dnf system-upgrade from F22 to F23 with biosdevname installed.

Actual results:
NIC name changed from em1 to eno1
eno1 reverted to the default firewalld zone
firewalld zone configuration for em1 persisted, but was unused
other services stopped working (mediatomb)

Expected results:
NIC name should not change on upgrade

Additional info:
Note that this has security implications, because the firewalld zones are tied to the NIC's name, and the name change can place the NIC in a different zone. Other side-effects can occur in network applications/services which are sensitive to the name change (mediatomb was one I encountered) for availability.
Comment 1 Christopher Tubbs 2015-11-10 14:36 EST
Created attachment 1092400 [details]
sudo udevadm test /sys/class/net/eno1 2> udevadm_eno1-err.txt
Comment 2 Olle Liljenzin 2016-03-05 06:35:46 EST
I got the same problem, also after dnf upgrade 22 to 23. Except for that my nic now gets the terrible name "enp0s31f6".
Comment 4 Olle Liljenzin 2016-03-07 04:11:33 EST
But the linked document says biosdevname should take precedence if installed? I have biosdevname installed and the output from 'biosdevname -i enp0s31f6' is 'em1'.
Comment 5 Michal Sekletar 2016-03-07 07:16:46 EST
Nah, biosdevname is going away in the future, however naming scheme it provides will stay in one form or another. In the interim it should work if installed.
Comment 6 Olle Liljenzin 2016-03-07 07:36:10 EST
Removing or re-installing the biosdevname rpm did not change the naming. And the machine is still using old-style network scripts in case it makes any difference.
Comment 7 Fedora End Of Life 2016-11-24 08:16:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 10:38:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.